<!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8">
		<title></title>
		<style type="text/css">
			#banner{
				width: 590px;
				height: 470px;
				border: 1px solid red;
			}
		</style>
	</head>
	<body>
		<div id="banner">
			<img src="" alt="" id="pic"/>
		</div>
		<button id="prev">上一个</button>
		<button id="next">下一个</button>
		<script>
			var picsArr=new Array();
			picsArr[0]="img/pic1.webp";
			picsArr[1]="img/pic2.webp";
			picsArr[2]="img/pic3.webp";
			picsArr[3]="img/pic4.jpg";
		    var timer,index=0;
		    var oPic = document.getElementById("pic");
		   function showPic(){
				oPic.src=picsArr[index];
				if(index<(picsArr.length-1))
					index++;
				else
				   index=0;	
				timer=setTimeout("showPic()",2000);
			}
		   showPic();
			var oPrevBtn = document.getElementById("prev");
			var oNextBtn = document.getElementById("next");
			function showPrepic(){		
				if(index>0)
					index--;
				else
					index=4;
				oPic.src=picsArr[index];
				timer=setTimeout("showPrepic()",2000);
			}
			function showNext(){		
				clearTimeout(timer);
				showPic();		
			}
			function showPre(){
				clearTimeout(timer);
				showPrepic();		
			}
			oPrevBtn.onclick = showPre;
			oNextBtn.onclick = showNext;
		
		</script>
	</body>
</html>
